pip3 install --upgrade setuptools - 'CertificateError'

Используем пакеты, расширяющие возможности оборудования
moonkir
Сообщения: 2
Зарегистрирован: 20 май 2017, 16:03

Сообщение moonkir » 20 май 2017, 16:08

Салют,
Решил сегодня обновится с репозитария

И после этого:

Код: Выделить всё

pip3 install --upgrade setuptools
Traceback (most recent call last):
  File "/__init__.py", line 27, in <module>
  File "/__init__.py", line 8, in <module>
  File "/connectionpool.py", line 33, in <module>
ImportError: cannot import name 'CertificateError'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/bin/pip3", line 7, in <module>
    from pip import main
  File "/__init__.py", line 21, in <module>
  File "/__init__.py", line 62, in <module>
  File "/__init__.py", line 29, in <module>
ModuleNotFoundError: No module named 'urllib3'


Подскажите куда рыть

Буквально месяц назад достаточно было

Код: Выделить всё

opkg install python3 python3-pip


И все прекрасно работало
Подскажите пожалуйста куда рыть

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1210
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 20 май 2017, 17:18

Все разжевали вчера тут - https://github.com/Entware-ng/Entware-ng/issues/657
Там есть и временное решение, и причина.

moonkir
Сообщения: 2
Зарегистрирован: 20 май 2017, 16:03

Сообщение moonkir » 20 май 2017, 17:55

Спасибо, установил вручную из архивов urllib и pip и все завелось.


Вернуться в «Entware/Qnapware/Optware/Zyxware - обсуждаем репозитории пакетов»

Кто сейчас на конференции

Всего 0 посетителей :: 0 зарегистрированных, 0 скрытых и 0 гостей (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (121) здесь было 18 май 2016, 18:19

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 0 гостей